Subject: RE: [dix] on the dix: URI scheme for DIX/SXIP

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Sat, 18 Mar 2006 14:25:12 -0800

I disagree. I think that it is a bad idea to tie this particular URL to one
protocol. http:// urls are a pain, it would have been better to have web://
URLs that could map onto HTTP1.x, HTTP-NG, DIME, etc. 

I really don't like the idea of the dixs.org hack here. People should have a
first class URL.

I would prefer something like UN:<domain>:<role> or something like it. Then
that could map from the identifier to SAML, WS-*, DIX...

> -----Original Message-----
> From: Dan Connolly [mailto:[email-masked]] 
> Sent: Friday, March 17, 2006 4:30 PM
> To: John Merrells; Lisa Dusseault
> Cc: [email-masked]; [email-masked]
> Subject: [dix] on the dix: URI scheme for DIX/SXIP
> 
> I learned at a W3C authorization workshop this week
>    http://www.w3.org/2005/Security/usability-ws/program
> that there's a SXIP/DIX BOF at the IETF next week.
>    http://www3.ietf.org/proceedings/06mar/agenda/dix.html
> 
> I'm pretty excited about DIX/SXIP and related web-like 
> authorization mechanisms, but I don't think I can swing the 
> trip to Dallas.
> 
> Section 7 of http://dixs.org/index.php/Draft-merrells-dix-01.txt
> says "This document has no IANA Actions." but section 3.2.6. 
> DIX URI Namespace introduces a new URI scheme.
> 
> Introducing a new URI scheme just for DIX is not a good use 
> of scarce community resources; let's not do the DAV: thing again.
> 
> Instead of
>    dix:/homesite
> just use something like
>    http://dixs.org/terms#homesite
> 
> There are some IANA considerations around dixs.org; IANA 
> should make sure that name is reserved for this purpose in 
> perpetuity if this spec is adopted. Or the DIX profile should 
> use iana.org or ietf.org .
> (There's a BCP that says to use urn:ietf , but I recommend 
> against that; I intend to renew the internet draft that 
> argues for http/dns rather than urn:ietf: .)
> 
> The draft charter also doesn't say that DIX is introducing a 
> new URI scheme.
>    http://dixs.org/index.php/DIX_Charter
> Please add something to the charter about getting review for the dix: 
> scheme.
> 
> --
> Dan Connolly, W3C http://www.w3.org/People/Connolly/
> 
> 
> _______________________________________________
> dix mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dix
> 
> 
_______________________________________________
dix mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dix

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Sat, 18 Mar 2006 14:28:40 -0800

It seems to me that tying the URL to the DIX protocol is a bad idea for the
reason Dan gives.

Tying the URL to a DNS indirection to the DIX/SAML/WS-*/whatever protocol is
much more future proof.

Who was it who said every problem in computer science can be solved...

	Phill  

> From: Ben Laurie [mailto:[email-masked]] 
> Sent: Saturday, March 18, 2006 1:11 PM
> To: McDonald, Ira
> Cc: Digital Identity Exchange; [email-masked]
> Subject: Re: [dix] on the dix: URI scheme for DIX/SXIP
> 
> McDonald, Ira wrote:
> > Hi Ben,
> > 
> > With respect to "scarce":
> > 
> > Although I have mixed feelings about the logic, the brand 
> new RFC 4395 
> > "Guidelines and Registration Procedures for New URI Schemes" argues 
> > that the bar should be very high for a new 'Permanent' URI scheme, 
> > because so many browsers and other bits of client software 
> will have 
> > to updated for the URI scheme to become widely deployed and used.
> 
> I guess that DIX is an example of a proposal that drives a 
> truck through that argument. Clearly all that s/w has to be 
> changed _no matter how_ you represent DIX. It seems likely to 
> me that this is generally true, too, but I'm not planning to 
> make a stand against 4395 on that basis :-)
> 
> Cheers,
> 
> Ben.
> 
> -- 
> http://www.apache-ssl.org/ben.html           http://www.links.org/
> 
> "There is no limit to what a man can do or how far he can go 
> if he doesn't mind who gets the credit." - Robert Woodruff
>